﻿Option Strict On
Option Explicit On

Imports System.IO

Public Class BilderManager

    'Globale Variablen Bilder Kopieren
    Dim QuellverzeichnisKopieren As String
    Dim ZielverzeichnisKopieren As String


#Region "MedienKopieren"


    Sub MedienLadenDatenbank()

        Dim liMedienKopieren As New List(Of Mediendatei)
        Dim liDateiendungKopieren As New List(Of String)
        Dim liDateiartKopieren As New List(Of String)
        Dim liDatumKopieren As New List(Of Date)
        Dim MedienDateienKopieren() As String

        liMedienKopieren.Clear()
        liDateiendungKopieren.Clear()
        liDateiartKopieren.Clear()
        liDatumKopieren.Clear()


        QuellverzeichnisKopieren = Lbl_QuellverzeichnisKopieren.Text 'Übergibt das Quellverzeichnis vom UI an die Variable

        MedienDateienKopieren = Directory.GetFiles(QuellverzeichnisKopieren) 'Lädt die Dateien aus dem Verzeichnis in die Dateiliste


        For Each s As String In MedienDateienKopieren  'Durchläuft jede Datei in der Dateiliste

            liMedienKopieren.Add(New Mediendatei(s))

        Next

        For Each s As Mediendatei In liMedienKopieren

            If Not liDateiartKopieren.Contains(s.Dateityp) Then
                liDateiartKopieren.Add(s.Dateityp)
            End If

            If Not liDateiendungKopieren.Contains(s.Dateiendung) Then
                liDateiendungKopieren.Add(s.Dateiendung)
            End If

            If Not liDatumKopieren.Contains(s.Aufnahmedatum) Then
                liDatumKopieren.Add(s.Aufnahmedatum)
            End If

        Next


        'liDateiartKopieren = liDateiartKopieren.OrderBy(Function(s) s.).ThenBy(Function(s) s.fileLastChanged).ToList()
        liDateiartKopieren.Sort()
        liDateiendungKopieren.Sort()
        liDatumKopieren.Sort()

        With Dts_MedienKopieren
            .Clear()

            For Each s In liDateiartKopieren
                .Dateiart.AddDateiartRow(s)
            Next

            For Each s In liDateiendungKopieren
                .Dateiendung.AddDateiendungRow(s)
            Next

            For Each s In liDatumKopieren
                .Datum.AddDatumRow(s)
            Next

        End With

    End Sub

    Private Sub Btn_QuellverzeichnisKopieren_Click(sender As Object, e As EventArgs) Handles Btn_QuellverzeichnisKopieren.Click
        Using f As New FolderBrowserDialog()
            If f.ShowDialog() = Windows.Forms.DialogResult.OK Then
                Dim d As New System.IO.DirectoryInfo(f.SelectedPath)
                Lbl_QuellverzeichnisKopieren.Text = d.FullName
                QuellverzeichnisKopieren = d.FullName
            End If
        End Using

    End Sub

    Private Sub Btn_ZielverzeichnisKopieren_Click(sender As Object, e As EventArgs) Handles Btn_ZielverzeichnisKopieren.Click
        Using f As New FolderBrowserDialog()
            If f.ShowDialog() = Windows.Forms.DialogResult.OK Then
                Dim d As New System.IO.DirectoryInfo(f.SelectedPath)
                Lbl_ZielverzeichnisKopieren.Text = d.FullName
                ZielverzeichnisKopieren = d.FullName
            End If
        End Using

    End Sub

    Private Sub Btn_EinlesenKopieren_Click(sender As Object, e As EventArgs) Handles Btn_EinlesenKopieren.Click
        Call MedienLadenDatenbank()

    End Sub


#End Region


End Class


