﻿Option Explicit On
Option Strict On

Imports System.IO


Public Class Verzeichnisdienste

    ''' <summary>
    ''' Gibt einen Wahrheitswert zurück je nach dem ob der Pfad existiert
    ''' </summary>
    ''' <param name="Pfad"></param>
    ''' <returns>True oder False</returns>
    Function PfadVorhanden(ByVal Pfad As String) As Boolean
        If Directory.Exists(Pfad) Then
            Return True
        Else
            Return False
        End If

    End Function


    ''' <summary>
    ''' Ändert die Datumsreihenfolge für den Zielordner in YYYY_MM_DD
    ''' </summary>
    ''' <param name="Datum"></param>
    ''' <returns></returns>
    Public Function DatumOrdner(ByVal Datum As String) As String
        Dim Tag As String
        Dim Monat As String
        Dim Jahr As String

        If Datum.Length = 10 Then 'Prüft ob das Datum aus 8 Zeichen besteht

            Tag = Datum.Substring(0, 2)
            Monat = Datum.Substring(3, 2)
            Jahr = Datum.Substring(6, 4)

            Return Jahr & "_" & Monat & "_" & Tag
        Else
            Return "1900_01_03"

        End If
    End Function


    ''' <summary>
    ''' Prüft ob der Ordnername vorgegeben werden soll. Wenn nicht wird das Datum übernommen
    ''' </summary>
    ''' <param name="Datum"></param>
    ''' <param name="BoolOrdnername"></param>
    ''' <returns></returns>
    Public Function OrdnerName(ByVal Datum As String, BoolOrdnername As Boolean, BoolAuswahl As Boolean, StrOrdner As String) As String
        Dim Ordner As String

        If BoolAuswahl = False Then

            'Prüft ob der Ordnername vorgegeben werden soll
            If BoolOrdnername = False Then 'Wenn nein dann
                Ordner = DatumOrdner(Replace(Datum, ".", "_"))

            Else 'Wenn ja dann
                'Es wird die Eingabe übernommen
                Ordner = InputBox("Soll das Datum " & Datum & " als Ordnername verwendet werden?" & Chr(13) &
                              "Wenn nicht Ordnername eingeben!", "Ordnername eingeben!")

                If Ordner = "" Then 'Wenn kein Name eingegeben wurde oder der Button Abbrechen gedrückt wurde
                    Ordner = DatumOrdner(Replace(Datum, ".", "_")) 'Es wird das Datum verwendet
                End If

            End If

        Else
            Ordner = StrOrdner

        End If

        Return Ordner
    End Function


    Sub OrdnerErstellen(ByVal Pfad As String, ByVal Ordner As String)
        If Not IO.Directory.Exists(Pfad & "\" & Ordner) Then
            ' Nein! Jetzt erstellen...
            Try
                IO.Directory.CreateDirectory(Pfad & "\" & Ordner)
                ' Ordner wurde korrekt erstellt!
            Catch ex As Exception
                ' Ordner wurde nich erstellt
            End Try
        End If

    End Sub


End Class
